export var EOrderType;
(function (EOrderType) {
    EOrderType["TAKE_AWAY"] = "TAKE_AWAY";
    EOrderType["DELIVERY"] = "DELIVERY";
    EOrderType["DINE_IN"] = "DINE_IN";
    EOrderType["DINE_IN_OPEN"] = "DINE_IN_OPEN";
})(EOrderType || (EOrderType = {}));
// https://docs.orderingstack.com/order/
export var EOrderStatus;
(function (EOrderStatus) {
    EOrderStatus["NEW"] = "NEW";
    EOrderStatus["COMPLETED"] = "COMPLETED";
    EOrderStatus["VERIFIED"] = "VERIFIED";
    EOrderStatus["DELIVER"] = "DELIVER";
    EOrderStatus["DELIVERED"] = "DELIVERED";
    EOrderStatus["CLOSED"] = "CLOSED";
    EOrderStatus["ABANDONED"] = "ABANDONED";
    EOrderStatus["CANCELLED"] = "CANCELLED";
    EOrderStatus["PICKED_UP"] = "PICKED_UP";
})(EOrderStatus || (EOrderStatus = {}));
export var EOrderLineStatus;
(function (EOrderLineStatus) {
    EOrderLineStatus["NEW"] = "NEW";
    EOrderLineStatus["CONFIRMED"] = "CONFIRMED";
})(EOrderLineStatus || (EOrderLineStatus = {}));
export var EOrderPaymentType;
(function (EOrderPaymentType) {
    EOrderPaymentType["CASH"] = "CASH";
    EOrderPaymentType["COD"] = "COD";
    EOrderPaymentType["EPAYMENT"] = "EPAYMENT";
})(EOrderPaymentType || (EOrderPaymentType = {}));
export var EOrderSource;
(function (EOrderSource) {
    EOrderSource["KIOSK"] = "KIOSK";
    EOrderSource["WEB"] = "WEB";
    EOrderSource["JUST_EAT_TAKE_AWAY"] = "JUSTEATTAKEAWAY";
    EOrderSource["GLOVO"] = "GLOVO";
    EOrderSource["PYSZNE"] = "PYSZNE";
})(EOrderSource || (EOrderSource = {}));
export var EOrderProductKind;
(function (EOrderProductKind) {
    EOrderProductKind["GROUP"] = "group";
    EOrderProductKind["PRODUCT"] = "product";
})(EOrderProductKind || (EOrderProductKind = {}));
;
export var EOrderRecStatus;
(function (EOrderRecStatus) {
    EOrderRecStatus[EOrderRecStatus["INITIALIZING"] = 0] = "INITIALIZING";
    EOrderRecStatus[EOrderRecStatus["INVALID"] = 1] = "INVALID";
    EOrderRecStatus[EOrderRecStatus["VALID"] = 2] = "VALID";
})(EOrderRecStatus || (EOrderRecStatus = {}));
